# SourcePath: net-tools/20170127dev
Summary   	: The basic tools for setting up networking.
Name	  	: sony-target-dev-net-tools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-net-tools
Version	  	: 1.60
Release: 14010002
URL		: http://www.tazenda.demon.co.uk/phil/net-tools
Source	  	: http://www.tazenda.demon.co.uk/phil/net-tools/net-tools_%{version}.orig.tar.gz
Source1		: net-tools-custom-disable-strip-config.h
Source2		: net-tools-1.60-config.make
Patch1		: net-tools_1.60-26.diff.gz
Patch2		: Bug#632660-netstat.c-long_udp6_addr.patch
Patch3		: CVS-20020730-route.c_opts_64.patch
Patch4		: CVS-20030911-nameif.c_sync.patch
Patch5		: CVS-20031011-hostname.c_sync.patch
Patch6		: CVS-20051204-arp.c_sync.patch
Patch7		: CVS-20051204-slttach.c_sync.patch
Patch8		: CVS-20060927-mii-tool.c_sync.patch
Patch9		: CVS-20061011-includes_sync.patch
Patch10		: CVS-20061011-ipmaddr.c_buffer_overflow.patch
Patch11		: CVS-20070316-netstat.c_sync.patch
Patch12		: CVS-20071202-rarp.c_sync.patch
Patch13		: CVS-20081002-ifconfig.c_sync.patch
Patch14		: CVS-20081003-statistics.c_sync.patch
Patch15		: CVS-lib_sync.patch
Patch16		: CVS-20081003-config.in_sync.patch
Patch17		: CVS-20081002-manpages_sync.patch
Patch18		: netstat.c-assorted_changes.patch
Patch19		: Bug#254243-netstat.c-wide-opt.patch
Patch20		: netstat.c-local_changes.patch
Patch21		: translations.patch
Patch22		: lib_local_changes.patch
Patch23		: local-manpages.patch
Patch24		: Bug#345331-socket_overflow.patch
Patch25		: Bug#569509-iface_overflow.patch
Patch26		: Add_missing_headers.patch
Patch27		: proper-uts-check.patch
Patch28		: fix-fprintf.patch
Patch29		: Bug#747006-inet6_sr.c-buffer-overflows.patch
Patch30		: Bug#561161-statistics.c-long_numbers.patch
Patch31		: Bug#508110-inet6.c-initialize_fields.patch
Patch32		: net-tools-multiple-def-error.patch
Patch33		: net-tools-build-fix.patch

License 	: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#
#	SRPM
#

%description

The net-tools package contains the basic tools needed for setting up
networking:  ethers, route and others.


#
#	RPM
#
%package -n %{pkgname}
Summary   	: The basic tools for setting up networking.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}

The net-tools package contains the basic tools needed for setting up
networking:  ethers, route and others.


%prep

# %target_check

%setup -n net-tools-%{version}
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1 
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch9 -p 1
%patch10 -p 1
%patch11 -p 1
%patch12 -p 1
%patch13 -p 1
%patch14 -p 1
%patch15 -p 1
%patch16 -p 1
%patch17 -p 1
%patch18 -p 1
%patch19 -p 1
%patch20 -p 1
%patch21 -p 1
%patch22 -p 1
%patch23 -p 1
%patch24 -p 1
%patch25 -p 1
%patch26 -p 1
%patch27 -p 1
%patch28 -p 1
%patch29 -p 1
%patch30 -p 1
%patch31 -p 1
%patch32 -p 1
%patch33 -p 1
cp %SOURCE1 ./config.h
cp %SOURCE2 ./config.make

%build

%sony_target_dev_setup

make CC="$CC"


%install
%sony_target_dev_setup
rm -rf %{buildroot}

make CC="$CC" install BASEDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_dir} mandir=/usr/man

# busybox command conflict
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/* %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

# host name package conflict
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/hostname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/dnsdomainname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/domainname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/nisdomainname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/ypdomainname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/

# gzip -v9 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man*/*
cp COPYING LICENSE
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/domainname
%{sony_target_dir}%{sony_target_dev_dir}/bin/netstat
%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/nisdomainname
%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/ypdomainname
%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/dnsdomainname
%{sony_target_dir}%{sony_target_dev_dir}/usr/local/bin/hostname
%{sony_target_dir}%{sony_target_dev_sbin_dir}/arp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ifconfig
%{sony_target_dir}%{sony_target_dev_sbin_dir}/route
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ipmaddr
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptunnel
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mii-tool
%{sony_target_dir}%{sony_target_dev_sbin_dir}/nameif
%{sony_target_dir}%{sony_target_dev_sbin_dir}/plipconfig
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rarp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/slattach
%{sony_target_dir}%{sony_target_dev_data_dir}/locale/*/LC_MESSAGES/*

%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Thu Jun 22 2017 Sony Corporation
- Fixed multiple declaration error

* Fri Jan 27 2017 Sony Corporation
- Update version to 1.60-26.

* Wed Feb 10 2016 Sony Corporation
- Removed strip support.

* Wed Apr 13 2005 Sony Corporation
- change ioctl parameter define

* Fri Dec 17 2004 Sony Corporation
- include <linux/netdevice.h> for 2.6.9

* Tue Nov 11 2004 Sony Corporation
- add Distribution,Vendor,Packager

* Tue Nov 10 2004 Sony Corporation
- change  Name: net-tools -> Name: sony-target-dev-net-tools

* Thu Nov 02 2004 Sony Corporation - dev-net-tools
- Initial build.
